
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JAVA加密解密：自定义类加载器应用 / iVAN</title>

    <meta name="description" content="JAVA加密解密：自定义类加载器应用 最近在研究JAVA CLASS LOADING技术,已实现了一个自定义的加载器.对目前自定义加载器的应用,还在探讨中.下面是自定义的CLASSLOADER在JAVA加密解密方面的一些研究. JAVA安全 JAVA是解释执行的语言,对于不同的操作平台都有相应的JVM对字节码文件进行解释执行.而这个字节码文件,也就是我们平时所看到的每一个.class文件. 这是我们大家都知道的常识,也就是由.java文件,经过编译器编译,变成JVM所能解释的.class文件. 而这个过程,在现在公开的网络技术中,利">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JAVA加密解密：自定义类加载器应用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>最近在研究JAVA CLASS LOADING技术，已实现了一个自定义的加载器。对目前自定义加载器的应用，还在探讨中。下面是自定义的CLASSLOADER在JAVA加密解密方面的一些研究。<br />
<br />JAVA安全</p>
<p>JAVA是解释执行的语言，对于不同的操作平台都有相应的JVM对字节码文件进行解释执行。而这个字节码文件，也就是我们平时所看到的每一个.class文件。</p>
<p>这是我们大家都知道的常识，也就是由.java文件，经过编译器编译，变成JVM所能解释的.class文件。</p>
<p>而这个过程，在现在公开的网络技术中，利用一个反编译器，任何人都可以很容易的获取它的源文件。这对于很多人来说是不希望看到的。</p>
<p>对于加密解密技术，我懂的不多，有些可以利用某种技术“模糊”JAVA类文件。这样能够使反编译的难度增加。但估计反编译器的技术水平也在不断提升，导致这种方法层层受阻。另外还有很多其他的技术也可以实现对JAVA文件的加密解密。我现在所想要研究的，就是其中的一种。</p>
<p>JAVA的灵活性使反编译变得容易，同时，也让我们的加密解密的方法变得灵活。</p>
<p>利用自定义的CLASSLOADER</p>
<p>参照：http://www.blogjava.net/realsmy/archive/2007/04/18/111582.html</p>
<p>JAVA中的每一个类都是通过类加载器加载到内存中的。对于类加载器的工作流程如下表示：<br />1.searchfile() <br />找到我所要加载的类文件。（抛除JAR包的概念，现在只是要加载一个.class文件）<br />2.loadDataClass()<br />读取这个类文件的字节码。<br />3.difineClass()<br />加载类文件。（加载的过程其实很复杂，我们现在先不研究它。）</p>
<p>从这个过程中我们能很清楚的发现，自定义的类加载能够很轻松的控制每个类文件的加载过程。这样在第二步（loadDataClass）和第三步（difineClass）之间，我们将会有自己的空间灵活的控制这个过程。</p>
<p>我们加密解密的技术就应用到这里。</p>
<p>加密解密</p>
<p>JAVA加密解密的技术有很多。JAVA自己提供了良好的类库对各种算法进行支持。对于采用哪种算法，网络上说法不一，自己去GOOGLE一下吧。</p>
<p>下面用DES对称加密算法（设定一个密钥，然后对所有的数据进行加密）来简单举个例子。</p>
<p>首先，生成一个密钥KEY。<br />我把它保存到key.txt中。这个文件就象是一把钥匙。谁拥有它，谁就能解开我们的类文件。代码参考如下：</p>
<pre>package com.neusoft.jiami;

import java.io.File;
import java.io.FileOutputStream;
import java.security.SecureRandom;
import javax.crypto.KeyGenerator;
import javax.crypto.SecretKey;

class Key {

    private String keyName;

    public Key(String keyName) {
        this.keyName = keyName;
    }

    public void createKey(String keyName) throws Exception {

        // 创建一个可信任的随机数源，DES算法需要
        SecureRandom sr = new SecureRandom();
        // 用DES算法创建一个KeyGenerator对象
        KeyGenerator kg = KeyGenerator.getInstance("DES");
        // 初始化此密钥生成器,使其具有确定的密钥长度
        kg.init(sr);
        // 生成密匙
        SecretKey key = kg.generateKey();
        // 获取密钥数据
        byte rawKeyData[] = key.getEncoded();
        // 将获取到密钥数据保存到文件中，待解密时使用
        FileOutputStream fo = new FileOutputStream(new File(keyName));
        fo.write(rawKeyData);
    }

    public static void main(String args[]) {
        try {
            new Key("key.txt");
        } catch (Exception e) {
            e.printStackTrace();
        }

    }
</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索java<br />
                    ，                算法<br />
                    ，                文件<br />
                    ，                java 算法 数据...<br />
                    ，                密钥<br />
                    ，                java jvm 类加载器<br />
                    ，                加密解密<br />
                    ，                java类加载器<br />
                    ，                自定义控制类<br />
                    ，                解密java<br />
                    ，                Java加密<br />
                    ，                classLoader  JVM 加密 <br />
                    ，                一个<br />
                                    Java类加载过程<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:07:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e5%af%86%e9%92%a5/" title="密钥">密钥</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%ae%9a%e4%b9%89%e6%8e%a7%e5%88%b6%e7%b1%bb/" title="自定义控制类">自定义控制类</a>, <a href="https://www.iamivan.net/tag/java-%e7%ae%97%e6%b3%95-%e6%95%b0%e6%8d%ae/" title="java 算法 数据&period;&period;&period;">java 算法 数据&period;&period;&period;</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a0%e5%af%86%e8%a7%a3%e5%af%86/" title="加密解密">加密解密</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a3%e5%af%86java/" title="解密java">解密java</a>, <a href="https://www.iamivan.net/tag/classloader%c2%a0%c2%a0jvm%c2%a0%e5%8a%a0%e5%af%86%c2%a0/" title="classLoader&nbsp;&nbsp;JVM&nbsp;加密&nbsp;">classLoader&nbsp;&nbsp;JVM&nbsp;加密&nbsp;</a>, <a href="https://www.iamivan.net/tag/java-jvm-%e7%b1%bb%e5%8a%a0%e8%bd%bd%e5%99%a8/" title="java jvm 类加载器">java jvm 类加载器</a>, <a href="https://www.iamivan.net/tag/java%e7%b1%bb%e5%8a%a0%e8%bd%bd%e5%99%a8/" title="java类加载器">java类加载器</a>, <a href="https://www.iamivan.net/tag/java%e5%8a%a0%e5%af%86/" title="Java加密">Java加密</a>, <a href="https://www.iamivan.net/tag/java%e7%b1%bb%e5%8a%a0%e8%bd%bd%e8%bf%87%e7%a8%8b/" title="Java类加载过程">Java类加载过程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JAVA加密解密：自定义类加载器应用的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkAOeob.html" rel="bookmark">java jvm 类加载器-java中为什么要自定义类加载器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java中为什么要自定义类加载器 java为什么要自定义类加载器 面试题 希望大神尽快解答 急用 谢谢了! 解决方案 http://www.iteye.com/topic/240013http://blog.sina.com.cn/s/blog_a1ebbd3501019equ.html 解决方案二: 一.类加载器类别? ?* ?1.java虚拟机自带的加载器? ?* ??根类加载器(Bootstrap,c++实现)? ?* ? ?扩展类加载器(Extension,java实现)? ?			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjLo4dp.html" rel="bookmark">Java类加载器学习2&mdash;&mdash;自定义类加载器和父类委托机制带来的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  一.自定义类加载器的一般步骤   Java的类加载器自从JDK1.2开始便引入了一条机制叫做父类委托机制.一个类需要被加载的时候,JVM先会调用他的父类加载器进行加载,父类调用父类的父类,一直到顶级类加载器.如果父类加载器加载不了,依次再使用其子类进行加载.当然这类所说的父类加载器,不一定他们之间是继承的关系,有可能仅仅是包装的关系.   Java之所以出现这条机制,因为是处于安全性考虑.害怕用户自己定义class文件然后自己写一个类加载器来加载原本应该是JVM自己加载的类.这样会是JVM虚			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKkNrWb.html" rel="bookmark">java自定义类加载器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				v前言 java反射,最常用的Class.forName()方法.做毕设的时候,接收到代码字符串,通过 JavaCompiler将代码字符串生成A.class文件(存放在classpath下,也就是eclipse项目中的bin目录里),然后通过java反射机制,获取main方法并执行..class文件名称固定.当 A.class文件更新的时候,问题出现了,main方法的执行结果总和第一次的执行结果相同. v程序流程 代码提交-&gt;接收代码-&gt;编译成A.class文件-&gt;java反射-&gt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXBe24b.html" rel="bookmark">Java加密解密</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JAVA是解释执行的语言,对于不同的操作平台都有相应的JVM对字节码文件进行解释执行.而这个字节码文件,也就是我们平时所看到的每一个.class文件.这是我们大家都知道的常识,也就是由.java文件,经过编译器编译,变成JVM所能解释的.class文件.而这个过程,在现在公开的网络技术中,利用一个反编译器,任何人都可以很容易的获取它的源文件.这对于很多人来说是不希望看到的.对于加密解密技术,我懂的不多,有些可以利用某种技术&quot;模糊&quot;JAVA类文件.这样能够使反编译的难度增加.但估计反编译			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmGg8z.html" rel="bookmark">Java加密解密工具（适用于JavaSE&sol;JavaEE&sol;Android）&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了一个适用于JavaSE/JavaEE/Android的Java加密解密工具,供大家学习,具体内容如下 package longshu.utils.security; import java.lang.reflect.Method; import java.security.InvalidKeyException; import java.security.Key; import java.security.MessageDigest; import java.security			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QLq6p.html" rel="bookmark">Java魔法堂：类加载器入了个门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.前言   &lt;Java魔法堂:类加载机制入了个门&gt;中提及整个类加载流程中只有加载阶段作为码农的我们可以入手干预,其余均由JVM处理.本文将记录加载阶段的核心组件--类加载器的相关信息,以便日后查阅.若有纰漏请大家指正,谢谢.   注意:以下内容基于JDK7和HotSpot VM.   二.类加载器种类及其关系 从上图可知Java主要有4种类加载器 1. Bootstrap ClassLoader(引导类加载器):作为JVM的一部分无法在应用程序中直接引用,由C/C++实现(其他JVM可能通过			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwJNemp.html" rel="bookmark">Java类加载器&lpar;二&rpar;&mdash;&mdash;自定义类加载器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  用户定制自己的ClassLoader可以实现以下的一些应用: 自定义路径下查找自定义的class类文件,也许我们需要的class文件并不总是在已经设置好的Classpath下面,那么我们必须想办法来找到这个类,在这种清理下我们需要自己实现一个ClassLoader. 确保安全性:Java字节码很容易被反编译,对我们自己的要加载的类做特殊处理,如保证通过网络传输的类的安全性,可以将类经过加密后再传输,在加密到JVM之前需要对类的字节码在解密,这个过程就可以在自定义的ClassLoader中实现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEWkjqp.html" rel="bookmark">JAVA加密解密之对称加密</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写的一个JAVA对称加密的工具类,支持DES.DESede.AES.Blowfish.RC2.RC4的加密解密. DES全称为Data Encryption Standard,即数据加密标准,是一种使用密钥加密的块算法,1976年被美国联邦政府的国家标准局确定为联邦资料处理标准(FIPS),随后在国际上广泛流传开来. DESede是由DES对称加密算法改进后的一种对称加密算法.使用 168 位的密钥对资料进行三次加密的一种机制:它通常(但非始终)提供极其强大的安全性.如果三个 56 位的子元素都			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7YJOqM.html" rel="bookmark">JAVA加密解密之常用签名算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Message Digest Algorithm MD5(中文名为消息摘要算法第五版)为计算机安全领域广泛使用的一种散列函数,用以提供消息的完整性保护.该算法的文件号为RFC 1321(R.Rivest,MIT Laboratory for Computer Science and RSA Data Security Inc. April 1992). MD5即Message-Digest Algorithm 5(信息-摘要算法5),用于确保信息传输完整一致.是计算机广泛使用的杂凑算法之一(又译			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrN6MK.html" rel="bookmark" class="title">WIN7开机自动宽带连接联网方法总结</a>
					<div>
						  用ADSL拨号上网的朋友,每次都要去点击连接图标才能上网,多麻烦啊.让ADSL开机就自动登录吧,方便多了!本文分为以下几个部分:最简单方法.最常用方法.使用宽带路由器自动上网方法.windows7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlOjDb.html" rel="bookmark" class="title">巧用Photoshop路径工具做变体流线字</a>
					<div>
						变体字是指在原来字体的基础上做一些特殊的造型改变,丰富设计.比如大家熟悉的&quot;超级女声&quot;的粉红大字. 大家在看教程的时候,希望可以跟着动手做下.我这个例子中做的是&quot;旋律&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj1e6z.html" rel="bookmark" class="title">Cyrus IMAP邮件服务器安装与配置&lpar;1&rpar;</a>
					<div>
						服务器|邮件服务器 裸设备,也叫裸分区(原始分区),是一种没有经过格式化,不被Unix通过文件系统来读取的特殊字符设备.本文收集裸设备和Oracle问答20例. 1．什么叫做裸设备? 裸设备,也叫裸分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKR2Wz.html" rel="bookmark" class="title">重新设计网页的任务&colon;找到适当的核心数据像素率</a>
					<div>
						文章描述:巧用&quot;核心数据像素&quot;打造出彩的用户界面设计. 导读:更新一个网页界面,对其进行重新设计和包装可以有很多种不同的方案.作者Rian van der Merwe认为在重新包装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeAWAz.html" rel="bookmark" class="title">Photoshop文字特效教程&colon;飘逸时尚的文字</a>
					<div>
						本教程的文字看上去非常飘逸,时尚.制作过程也比较简单:先打好文字,适当给文字加上彩色边框和发光效果.然后用一些烟雾等笔刷装饰文字即可.最终效果 1.首先创建一个新文档,尺寸为1440*900px,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMga3Oz.html" rel="bookmark" class="title">获取闭合符号中的字符串</a>
					<div>
						字符串 在解决Iif问题时,为了判断iif语句是否合法,同时找出其中的条件,返回值True及返回值False.却不自然中写出了一个通用的函数模块,该函数能解决闭合符号形式中的一串文字.如&quot;( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAkOLb.html" rel="bookmark" class="title">Flash基础理论课 第十二章 粒子引力与万有引力Ⅰ</a>
					<div>
						返回&quot;Flash基础理论课 - 目录&quot; 很高兴到晋级到了这一章.前面的章节总体来说都是些交互的运动.先让物体运动起来,再让物体与环境产生交互,随后与用户交互,最后是物体之间的交互. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91dyRM.html" rel="bookmark" class="title">PS抠图换背景教程   PS怎么抠图换背景</a>
					<div>
						  PS抠图换背景           原图 最终效果 换背景色 换背景图片 1.点击原图素材打开大图,右键选择&quot;图片另存为&quot;保存到本机;再用PS打开保存的素材大图,如下图.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7wRNM.html" rel="bookmark" class="title">网络密码必须是40位或者104位的完美解决方法</a>
					<div>
						  无线连接,输入密码时出现如下对话框&quot;网络密码必须是40位或者104位&quot;: 解决方法: 一.如果无线路由器中设置的是WEP加密,出现上面对话框是因为您输入的密码长度不符合要求,请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGYV6p.html" rel="bookmark" class="title">Excel高版本自动保存Excel2003低版本方法</a>
					<div>
						  在excel办公软件的使用过程中,不少还在使用excel2003版本的,而多数已经升级到2007或是2010版本的,在excel2007或2010版本默认的保存也是2007或是2010版本的,这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG7jwp.html" rel="bookmark" class="title">word插入表格不完全显示是怎么回事？</a>
					<div>
						  不完全显示的故障分析:极有可能是段落之间的间距被国定设置,导致表格插入显示不全的情况.调整段落的间距, 右键插入图表的那行,选择段落; 解决方案: 1.查看文章的段落,果然设置了固定间距,而且是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8aVmp.html" rel="bookmark" class="title">如何调整桌面图标大小？</a>
					<div>
						  一.windows xp恢复电脑桌面图标大小: 在电脑桌面图标没图标有文字怎么办上面就有可以调整桌面图标的大小,你可以参考上面的步骤来执行,恢复你的桌面图标的原始大小.右键单击--属性--外观,点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYqnZM.html" rel="bookmark" class="title">阿里云服务器怎么更换系统&quest;</a>
					<div>
						在使用阿里云服务器时有时需要从Windows系统切换到Linux系统,或者使用第3方提供的镜像等等.阿里云服务器支持系统切换(更换系统盘),在这里介绍切换阿里云服务器系统盘的方法. 更换系统盘的流程如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Eg8p.html" rel="bookmark" class="title">自己动手丰衣足食之三级联动</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot;&gt; &lt;title&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjwY6p.html" rel="bookmark" class="title">编程语言漫谈</a>
					<div>
						写在前边:我们知道现有语言的编程范式有:过程式,面向对象,函数式,逻辑式.随着软件工业化程度的普及,以及软件的复杂度越来越高,编程语言的发展历程也是从最初的过程式(命令式)语言c,发展到以java语言 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPgKlp.html" rel="bookmark" class="title">窗体控件换行字符属性的实现？</a>
					<div>
						问题描述 窗体控件换行字符属性的实现? 窗体控件换行字符属性的实现?怎么实现多行显示通过代码分割符来控制呢,有没有简单一点的办法? 解决方案 在要换行的字符前面加上/r/n?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrXGVM.html" rel="bookmark" class="title">【Mysql】iconv 转换字符集</a>
					<div>
						学习mysql字符集转换的过程中,看到有些网络资料有使用iconv 命令转换字符集的,所以这里学习一下,iconv 的使用!(ps 网络中关于使用iconv 转换mysqldump 出的文件不靠谱,随 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWOLVp.html" rel="bookmark" class="title">Linux性能优化1&period;2　性能调查概要</a>
					<div>
						1.2 性能调查概要 本节列出了开始性能调查时的几个重要步骤.由于终极目标是解决问题,因此最好的方法是在你接触性能工具之前就开始研究问题.遵循如下特定步骤是解决问题的有效方法,并且不会浪费宝贵的时间. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ416z.html" rel="bookmark" class="title">android-Android 开发中，访问网络的问题</a>
					<div>
						问题描述 Android 开发中,访问网络的问题 public class MainActivity extends Activity { private EditText address; priv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmNdAz.html" rel="bookmark" class="title">asp&period;net-小白请教ASP&period;NET下引用出现的一个问题~</a>
					<div>
						问题描述 小白请教ASP.NET下引用出现的一个问题~ 如图,为何出错?右边我实体里建了同名类文件了啊~ 解决方案 不同的项目,要先在项目-添加引用添加那个项目 然后检查命名空间对不对 还不行,先编译 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94J3Kb.html" rel="bookmark" class="title">python调用xml文件的时候，报出ExpatError求大神指点</a>
					<div>
						问题描述 python调用xml文件的时候,报出ExpatError求大神指点 问题代码:import xml.dom.minidom#打开xml文件dom=xml.dom.minidom.parse ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKdeAz.html" rel="bookmark" class="title">【转】优化PHP性能的五个实用技巧</a>
					<div>
						摘要:本文总结了5个优化PHP性能技巧,熟练掌握后对开发还是很有帮助的. 以下是五个优化技巧,熟练掌握后对于开发还是很有帮助的. 1.对字符串使用单引号 PHP引擎允许使用单引号和双引号来封装字符串变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x4Rkb.html" rel="bookmark" class="title">《数据分析变革：大数据时代精准决策之道》一第1章 了解运营型分析1&period;1 定义运营型分析</a>
					<div>
						第1章 了解运营型分析 数据分析变革:大数据时代精准决策之道 毋庸置疑,巨大变革正在发生!运营型分析正在引领以分析为特征的工业革命,很多公司运用分析手段的疆界也因此不断向前推进.运营型分析将源源不断地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3J907z.html" rel="bookmark" class="title">Apache Kylin权威指南2&period;2　在Hive中准备数据</a>
					<div>
						2.2 在Hive中准备数据 2.1节介绍了Kylin中的常见概念.本节将介绍准备Hive数据的一些注意事项.需要被分析的数据必须先保存为Hive表的形式,然后Kylin才能从Hive中导入数据,创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12xm5p.html" rel="bookmark" class="title">Android RecyclerView使用介绍</a>
					<div>
						转自:http://www.jcodecraeer.com/a/anzhuokaifa/androidkaifa/2014/1118/2004.html RecyclerView 是Android L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKwnnp.html" rel="bookmark" class="title">中国家电博览会首次邀请澳洲电视品牌SONIQ参展</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 中国家电业最权威.最具影响力的年度展会&quot;2014中国家电博览会&quot;于2014年3月18日至21日在上海新国际展览中心举行.本次博览会首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW8DYz.html" rel="bookmark" class="title">Goolg Drive跳楼大降价，度娘、企鹅表示这都是浮云</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今日谷歌文件云存储和协同编辑工具G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8rw5p.html" rel="bookmark" class="title">C语言的A&ast;算法原理及源码</a>
					<div>
						关于A*算法网上介绍的有很多,我只是看了之后对这个算法用c写了一下,并测试无误后上传以分享一下,欢迎指正!下面是我找的一个介绍,并主要根据这个实现的. 寻路算法不止 A* 这一种, 还有递归, 非递归 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKaQOz.html" rel="bookmark" class="title">spring MVC的问题，求大神帮忙啊！！！</a>
					<div>
						问题描述 给出web.xmldispatcher-servlet.xml的配置信息&lt;?xmlversion=&quot;1.0&quot;encoding=&quot;UTF-8&quot;?& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlR98p.html" rel="bookmark" class="title">osgi和maven的问题</a>
					<div>
						问题描述 我现在用maven管理bundle的依赖关系,同时,还要维护MANIFEST.MF文件中Import和Export-Package关系,感觉有点麻烦啊,比如:我现在在一个新的bundle工程 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
